package happert.gameobjects;

import happert.playfield.Point;

public abstract class GameObject {
    private Point location;
    
    public GameObject(Point location) {
        if (location == null) throw new NullPointerException("location can't be null");
        
        setLocation(location);
        
    }

    /**
     * @return the location
     */
    public Point getLocation() {
        return location;
    }

    /**
     * @param location the location to set
     */
    public void setLocation(Point location) {
        this.location = location;
    }

    
}
