package happert;

import happert.playfield.StringTemplatePlayfieldBuilder;
import happert.UI.HappertWindow;

public class Main {

    public static void main(String[] args) {
        // TODO this wiring is maybe not the cleanest
        Game game = new Game();
        
        HappertWindow hw = new HappertWindow(game);
        game.setRenderer(hw.getRenderer());
        showWindow(hw);

        if (args.length > 0) {
            // We will allow setting of (small) StringTemplates through the commandline
            StringTemplatePlayfieldBuilder st = new StringTemplatePlayfieldBuilder();
            st.setTemplate(args);
            game.init(st);
        } else {
            // just use default init for the randomized playfield
            game.init();
        }
    }

    static void showWindow(final HappertWindow hw) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                hw.setVisible(true);
            }
        });
    }
}
