package happert.gameobjects;


public enum DirectionEnum {
    None, 
    Left,
    Right,
    Up,
    Down;

    public DirectionEnum inverse() {
        switch (this) {
            case None :
                throw new IllegalArgumentException("A null direction has no inverse");
            case Left :
                return Right;
            case Right :
                return Left;
            case Up :
                return Down;
            case Down :
                return Up;
            default:
                throw new IllegalArgumentException("unkown direction");
        }
    }

}

